package com.crm.manager.service;


import com.crm.rely.backend.core.pojo.table.UserRoleNodeTable;
import com.crm.rely.backend.core.pojo.view.SysNodeView;
import com.crm.rely.backend.core.exception.ServiceException;

import java.util.List;

public interface UserRoleNodeService {

    void update(List<UserRoleNodeTable> sellerRoleNodeTables, Long roleId) throws ServiceException;

    List<SysNodeView> getSysNodesByRoleId(Long roleId) throws ServiceException;

    void deleteRoleNodeByRoleId(Long roleId) throws ServiceException;
}
